Get tax type

get
/api/v2/taxes/type
lts

This API endpoint provides information about the tax type applicable to a specific country.

Header parameters
Attribute
Requirement
Description
x-public-key
mandatory
a public key that identifies the merchant account (there can be several for one merchant)
x-buyer-ip
mandatory
is responsible for information about the buyer's IP address
x-date
mandatory
is responsible for the date and time of sending the request
x-token
mandatory
generated on the merchant side
x-source
mandatory
pass the value shop
x-id
mandatory
merchant name
Request parameters
Attribute
Type
Requirement
Description
Standard
countryIsoTwoCode
string
mandatory
Identifies the country for which the tax type is requested
ISO 3166-1 alpha-2
Response parameters

After sending a request to retrieve an order status, you can receive the following responses.

  • sales_tax (for example, when countryIsoTwoCode is US)
  • vat (for example, when countryIsoTwoCode is GB)
  • tax (for example, when countryIsoTwoCode is CA)
  • gst (for example, when countryIsoTwoCode is AU)
Attribute
Type
Description
type
string
Tax type
{
    "type": "sales_tax"
}
Errors and interpretation

The list of possible errors for this endpoint, along with their types and interpretation, is provided in the general reference: Endpoint response errors.